#ifdef CIRCULAR_SHADOWS
	if (multiplier.a < 0.9) { //shadows
		float dist = interpolateSmooth1(1.0 - min(length(texcoord * 2.0 - 1.0), 1.0)); //non-linear interpolation
		color = vec4(0.0, 0.0, 0.0, dist * min(multiplier.a * 2.0, 1.0));
	}
#endif